apiVersion: apisix.apache.org/v2
kind: ApisixPluginConfig
metadata:
  name: strip-hsts
  namespace: keycloak
spec:
  plugins:
  - name: proxy-rewrite
    enable: true
    config:
      headers:
        X-Forwarded-Proto: "https"
        X-Forwarded-Port: "443"
  - name: response-rewrite
    enable: true
    config:
      headers:
        Strict-Transport-Security: ""
        X-Frame-Options: ""
        Content-Security-Policy: "frame-src *; frame-ancestors *; object-src 'none';"
